For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTBatch Parse Files
      • POSTBatch Extract Files
      • POSTBatch Classify Files
      • POSTBatch Split Files
      • GETGet Batch Run
  • Webhook Events
LogoLogo
EndpointsBatch

Get Batch Run

GET
/batch_runs/:id
GET
/batch_runs/:id
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.batchRuns.get("bpr_Xj8mK2pL9nR4vT7qY5wZ");
1{
2 "object": "batch_run",
3 "id": "bpr_Xj8mK2pL9nR4vT7qY5wZ",
4 "status": "PROCESSING",
5 "runCount": 50,
6 "createdAt": "2024-03-21T16:45:00Z"
7}
Retrieve the status of a batch run by its ID. The `status` field reflects the aggregate state of the batch. This is a unified endpoint that works for batches created via any of the batch submission endpoints (`POST /parse_runs/batch`, `POST /extract_runs/batch`, `POST /classify_runs/batch`, `POST /split_runs/batch`). | Status | Meaning | |---|---| | `PENDING` | Queued, not yet started | | `PROCESSING` | Runs are actively being processed | | `PROCESSED` | All runs have completed | | `FAILED` | The batch encountered a fatal error | | `CANCELLED` | The batch was cancelled | To retrieve individual run results, use the List endpoint for the relevant type filtered by `batchId`: - `GET /parse_runs?batchId={id}` - `GET /extract_runs?batchId={id}` - `GET /classify_runs?batchId={id}` - `GET /split_runs?batchId={id}`
Was this page helpful?
Previous

Create Processor Run

Next
Built with

Retrieve the status of a batch run by its ID. The status field reflects the aggregate state of the batch.

This is a unified endpoint that works for batches created via any of the batch submission endpoints (POST /parse_runs/batch, POST /extract_runs/batch, POST /classify_runs/batch, POST /split_runs/batch).

StatusMeaning
PENDINGQueued, not yet started
PROCESSINGRuns are actively being processed
PROCESSEDAll runs have completed
FAILEDThe batch encountered a fatal error
CANCELLEDThe batch was cancelled

To retrieve individual run results, use the List endpoint for the relevant type filtered by batchId:

  • GET /parse_runs?batchId={id}
  • GET /extract_runs?batchId={id}
  • GET /classify_runs?batchId={id}
  • GET /split_runs?batchId={id}

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

The unique identifier of the batch processor run to retrieve.

Example: "bpr_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2026-02-09"Optional
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/developers/api-versioning) for more details.

Response

Successfully retrieved batch processor run
objectenum

The type of object. Always "batch_run".

Allowed values:
idstring

The unique identifier for this batch run.

Example: "bpr_Xj8mK2pL9nR4vT7qY5wZ"

statusenum

The status of a batch run:

  • "PENDING" - The batch has been created and is waiting to be processed
  • "PROCESSING" - The batch is currently being processed
  • "PROCESSED" - All runs in the batch have completed successfully
  • "FAILED" - The batch failed to process
  • "CANCELLED" - The batch was cancelled
Allowed values:
runCountinteger
The number of individual runs in this batch.
createdAtstringformat: "date-time"

The time (in UTC) at which the object was created. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.